Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.invocation.http.servlet
Class ReadOnlyAccessFilter

    java.lang.Object
      org.jboss.invocation.http.servlet.ReadOnlyAccessFilter

All Implemented Interfaces:
  javax.servlet.Filter

public class ReadOnlyAccessFilter
extends Object
implements javax.servlet.Filter

A serlvet filter that enforces read-only access to a single context given by the readOnlyContext init-parameter.

Version:
  $Revision: 1.4 $
Author:
  Scott.Stark@jboss.org

Constructor Summary
`ReadOnlyAccessFilter()`

Method Summary
`void` | `destroy()`
`void` | `doFilter(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain)` Intercept requests and validate that requests to the NamingService
`void` | `init(javax.servlet.FilterConfig filterConfig)` Init method for this filter
`String` | `toString()` Return a String representation of the filter

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReadOnlyAccessFilter

    public ReadOnlyAccessFilter()

Method Detail

### init

    public void init(javax.servlet.FilterConfig filterConfig)
              throws javax.servlet.ServletException

  Init method for this filter

  Specified by:
    `init` in interface `javax.servlet.Filter`
  Throws:
    `javax.servlet.ServletException`

### doFilter

    public void doFilter(javax.servlet.ServletRequest request,
                         javax.servlet.ServletResponse response,
                         javax.servlet.FilterChain chain)
                  throws IOException,
                         javax.servlet.ServletException

  Intercept requests and validate that requests to the NamingService

  Specified by:
    `doFilter` in interface `javax.servlet.Filter`
  Parameters:
    `request` - The servlet request we are processing
    `chain` - The filter chain we are processing
  Throws:
    `IOException` - if an input/output error occurs
    `javax.servlet.ServletException` - if a servlet error occurs

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `javax.servlet.Filter`

### toString

    public String toString()

  Return a String representation of the filter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.